package com.doverfuelingsolutions.issp.data.entity

import com.wayne.www.waynelib.fdc.message.DeviceClass
import com.wayne.www.waynelib.webservice.entity.PosTrx
import java.io.Serializable

class WayneOrderList : ArrayList<WayneOrderList.WayneOrderRecord>(), Serializable {

    data class WayneOrderRecord(
        val dc: DeviceClass,
        val posTrx: PosTrx,
        val timeMills: Long,
    ) : Serializable {

        // 超过 7 天认为过期，可以删除以节约存储空间，降低内存，提高效率
        fun isExpire(): Boolean {
            return System.currentTimeMillis() - timeMills > 604800000
        }
    }
}